> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/troubleshooting/lip-sync-and-animation-issues.md).

# 口型同步和动画问题

使用此页面来解决角色说话时面部动画的问题。角色完全没有音频输出的问题在 [音频和麦克风问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/troubleshooting/audio-and-microphone-issues.md)。如需完整参考，请参阅 `Convai 面部同步` 组件属性，请参阅 [Face Sync 组件参考](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/face-sync-component-reference.md).

{% hint style="info" %}
**不确定该使用哪种 `LipSyncMode` 吗？** 在进一步排查之前，请将你的绑定与下表对照——大多数口部运动问题都是由……引起的 `LipSyncMode` 不匹配。
{% endhint %}

| 绑定类型                   | 正确 `LipSyncMode`           |
| ---------------------- | -------------------------- |
| MetaHuman              | `MetaHuman Blendshapes`    |
| CC5                    | `MetaHuman Blendshapes`    |
| CC4（标准导出）              | `ARKit Blendshapes`        |
| CC4（扩展导出）              | `CC4 Extended Blendshapes` |
| 带有 OVR viseme 曲线的自定义绑定 | `基于 Viseme`                |

### 选择正确的故障排查路径

当你不确定问题是设置、音频还是绑定选择时，先从本页顶部检查开始。当 `Convai 面部同步` 组件存在，并且你需要检查 AnimGraph 节点属性、blendshape 重映射、平滑、starvation 或命令行覆盖时。

| 你观察到的现象               | 从这里开始                                                                                                                                      |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| 角色没有任何音频输出，也没有口部运动    | [音频和麦克风问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/troubleshooting/audio-and-microphone-issues.md)                   |
| 角色在说话，但面部没有动          | 那么先看此页， [排查唇形同步问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/troubleshoot-lip-sync.md)               |
| 嘴部在动，但错误的面部曲线被驱动      | 那么先看此页， [Face Sync 组件参考](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/face-sync-component-reference.md) |
| 唇形同步开始正常，但在说话过程中冻结或淡出 | [排查唇形同步问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/troubleshoot-lip-sync.md)                       |
| 自定义曲线重映射不起作用          | [排查唇形同步问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/troubleshoot-lip-sync.md)                       |

### 说话时没有口部运动

**症状：** 角色在说话，但嘴巴和面部都没有动。

**原因——缺少 Face Sync 组件：** 该 Actor 没有 `Convai 面部同步` 组件，因此不会请求任何面部动画数据。

**修复：** 打开角色蓝图，添加一个 `Convai 面部同步` 组件，并设置 `LipSyncMode` 将其设置为与绑定匹配的值。编译并保存。

**验证：** 进入播放模式，并确认 `Convai 面部同步` 该组件已存在于角色 Actor 上。

***

**原因——Face Sync AnimGraph 节点不在活动姿势路径中：** 该节点存在于动画蓝图中，但其 `源姿势` 是位于 `输出姿势` 引脚未连接到通向最终动画输出的姿势链。

**修复：** 打开面部动画蓝图，并将 `Convai 面部同步` AnimGraph 节点连接到活动姿势路径中。

**验证：** 重新编译动画蓝图。该节点在通往输出的活动路径中不应有未连接的引脚。

### 嘴部在动，但驱动的是错误的曲线

**症状：** 面部在动，但动作与语音不匹配。例如，触发的是无关的面部控制，而不是嘴型。

**原因—— `LipSyncMode` 不匹配：** 所选 `LipSyncMode` 与 Skeletal Mesh 上的曲线名称不匹配。

**修复：** 选择 `Convai 面部同步` 在角色蓝图中的组件，并将 `LipSyncMode` 设置为本页顶部表格中对应绑定的特定值。对于整个项目的默认值，请使用 **编辑 > 项目设置 > 插件 > Convai** 并检查 `口型同步模式`.

**验证：** 在编辑器中打开 Skeletal Mesh，并检查 **曲线** 列表。所选模式应生成网格上存在的曲线名称。

{% hint style="warning" %}
使用每个组件级的 `LipSyncMode` 值，当一个项目包含多种绑定类型时。项目范围的值可能会导致不同绑定类型的每个角色都动画错误。
{% endhint %}

### 唇形同步在说话过程中冻结或漂移

**症状：** 唇形同步开始正常，但随后冻结、淡出或落后于音频。

**原因：** 这通常是计时设置而不是角色设置导致的。基于源的控件包括 `OutputFPS`, `FramesBufferDuration`, `LipSyncTimeOffset`, `bEnableInterpolation`，以及 AnimGraph 节点的 `StarvationBlendOutDuration`.

**修复：** 使用功能故障排查页面来调整与症状相符的计时控制。不要一次更改多个计时值；每次只改一项，在编辑器中播放测试，然后继续。

**验证：** 嘴部应在整段回应过程中始终与所说音频保持同步。

{% content-ref url="/pages/b0b44be9f2ee8ca031b08c9677450b5f826a9c8c" %}
[排查口型同步问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/troubleshoot-lip-sync.md)
{% endcontent-ref %}

### 面部在编辑器中会动，但在打包构建中不会动

**症状：** 唇形同步在 PIE 中有效，但在 cooked 构建中面部不动画。

**原因：** 曲线资源或动画蓝图资源可能未包含在烘焙中。Skeletal Mesh 曲线必须由动画蓝图引用，或包含在资源列表中，才能在烘焙后保留。

**修复：** 确认面部动画蓝图已被角色蓝图或包含在烘焙中的关卡引用。如果曲线被剥离，请将其添加到资源的 **Skeleton** 并确保 Skeleton 资源位于已烘焙的包中。

**验证：** 运行 Development 烘焙，并检查烘焙日志中是否有关于角色 Skeleton 上被剥离曲线轨道的警告。

### 下一步

{% content-ref url="/pages/8b7003d8fdf40c7b56b0fd2a54376bfc5105903c" %}
[面部同步组件参考](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/face-sync-component-reference.md)
{% endcontent-ref %}

{% content-ref url="/pages/b0b44be9f2ee8ca031b08c9677450b5f826a9c8c" %}
[排查口型同步问题](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/lip-sync/troubleshoot-lip-sync.md)
{% endcontent-ref %}

{% content-ref url="/pages/76a35097e5aafc7db6e701235cba4c330c02ad3a" %}
[诊断和日志导出](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/troubleshooting/diagnostics-and-log-export.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/troubleshooting/lip-sync-and-animation-issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
